//+------------------------------------------------------------------+
//|                                                  FiveCandles.mq4 |
//+------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 DodgerBlue
#property indicator_width1 1
#property indicator_color2 Red
#property indicator_width2 1
extern int  Candles=5;
extern int  Procent=3;
extern int CountBars = 500;
extern bool ShowSignal=true;
double BullCandle[], BearCandle[], P;
int key;
//+------------------------------------------------------------------+
int init()  {
   SetIndexStyle(1, DRAW_ARROW);   SetIndexArrow(1, 124);   SetIndexBuffer(1, BullCandle);
   SetIndexStyle(0, DRAW_ARROW);   SetIndexArrow(0, 124);   SetIndexBuffer(0, BearCandle);
   return(0);
  }
//+------------------------------------------------------------------+
int deinit()  {   return(0);  }
//+------------------------------------------------------------------+
int start() {
   int cBull, cBear;
   P=Procent*(WindowPriceMax()-WindowPriceMin())/100;
   if(key==Time[0])  return;
   for(int i = 1; i <= CountBars; i++) {
     cBull=0;   cBear=0;
     for(int k=i+Candles-1; k>=i; k--) {
       if(Open[k]<Close[k]) cBull++;
       if(Open[k]>Close[k]) cBear++;
     }
     if(cBull==Candles)   {
       BullCandle[i-1] = Low[i-1]-P;
       if(i==0 && ShowSignal) Alert (Symbol(),"   ", Period(), " 5 Bull Candles");
     }
     if(cBear==Candles) {  
       BearCandle[i-1] = High[i-1]+P; 
       if(i==0 && ShowSignal) Alert (Symbol(),"   ", Period(), " 5 Bear Candles");
     }
   }
   key=Time[0];
  return(0);
}

